---
updatedAt: 2026-10-06T17:40:07.000Z
agentTools:
  projectIndex: https://docs.akeyless.io/llms.txt
---

# /delete-gateway-cluster

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "contact": {
      "email": "support@akeyless.io",
      "name": "Akeyless",
      "url": "http://akeyless.io"
    },
    "description": "The purpose of this application is to provide access to Akeyless API.",
    "title": "Infrastructure & connectivity",
    "version": "3.0"
  },
  "paths": {
    "/delete-gateway-cluster": {
      "post": {
        "operationId": "deleteGwCluster",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/deleteGwCluster"
              }
            }
          },
          "required": true,
          "x-go-name": "Body"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/deleteGwClusterResponse"
          },
          "default": {
            "$ref": "#/components/responses/errorResponse"
          }
        },
        "tags": [
          "Gateway"
        ],
        "x-docs-category": "Infrastructure & connectivity",
        "x-docs-group": "Gateway"
      }
    }
  },
  "tags": [
    {
      "name": "Gateway"
    }
  ],
  "x-readme": {
    "apply-tag-changes": true
  },
  "servers": [
    {
      "url": "https://api.akeyless.io"
    }
  ],
  "components": {
    "responses": {
      "deleteGwClusterResponse": {
        "description": "deleteGwClusterResponse wraps response body.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/deleteGwClusterOutput"
            }
          }
        }
      },
      "errorResponse": {
        "description": "errorResponse wraps any error to return it as a JSON object with one \"error\"\nfield.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/JSONError"
            }
          }
        }
      }
    },
    "schemas": {
      "JSONError": {
        "properties": {
          "error": {
            "type": "string",
            "x-go-name": "Err"
          }
        },
        "title": "JSONError wraps an error with JSON object.",
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client"
      },
      "deleteGwCluster": {
        "properties": {
          "cluster-name": {
            "description": "Gateway Cluster, e.g. acc-abcd12345678/p-123456789012/defaultCluster",
            "type": "string",
            "x-go-name": "ClusterName"
          },
          "force-deletion": {
            "description": "Enforce deletion",
            "type": "boolean",
            "x-go-name": "ForceDeletion"
          },
          "json": {
            "default": false,
            "description": "Set output format to JSON",
            "type": "boolean",
            "x-go-name": "Json"
          },
          "token": {
            "description": "Authentication token (see `/auth` and `/configure`)",
            "type": "string",
            "x-go-name": "Profile"
          },
          "uid-token": {
            "description": "The universal identity token, Required only for universal_identity authentication",
            "type": "string",
            "x-go-name": "UIDToken"
          }
        },
        "required": [
          "cluster-name"
        ],
        "title": "deleteGwCluster is a command that deletes a gateway.",
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client/commands"
      },
      "deleteGwClusterOutput": {
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client/commands"
      }
    }
  }
}
```